Model A1288 / 8, 16, or 32 GB capacity

580 Questions View all

Can I upgrade a 2 generation touch to a 4.0 or higher?

Is it possible to upgrade to a 4.0 on a 2 generation touch iPod

Answered! View the answer I have this problem too

Is this a good question?

Score 0

Comments:

Samantha Green, I do believe that you are talking firmware here?

by

Add a comment

1 Answer

Chosen Solution

The max is 4.2.1 for this generation. It's not going to go any higher.

Yes, some apps like Angry Birds cause a problem. This is to do with the OpenGL support on 4.2.1, since it's simply too old to support the version of OpenGL that Angry Birds now requires to run.

You can try, but if it complains about OpenGL it won't install due to a OpenGL incompatibility. You'll need to get a newer iPod to run Angry Birds.

Was this answer helpful?

Score 3

Comments:

How do I upgrade? I upgraded to 3.1.1 but can't get anything else. I need it to get the new angry birds space game. It needs a 4.0 or higher

by

@Samantha Green, like nicksmacandpchelp says, 4.2.1 is the last update available for the 2nd Gen iPod Touch. You can try and download the firmware from here and install it the way that is described at the same website. Hope this helps, good luck.

by

Add a comment

Add your answer

Samantha Green will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 0

Past 30 Days: 0

All Time: 992